#ifndef WINCB_H
#define WINCB_H

#include <gtk/gtk.h>
#include "win.h"


extern gint WinDeleteEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);

extern gint WinOPIDEnterEventCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);
extern gint WinOPIDLeaveEventCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void WinToolBarItemCB(
	ToolBarItem *item, gint id, gpointer data
);
extern void WinToolBarItemEnterCB(
	ToolBarItem *item, gint id, gpointer data
);
extern void WinToolBarItemLeaveCB(
	ToolBarItem *item, gint id, gpointer data
);

extern gint WinEntryEntryCompletePathKeyCB(
	GtkWidget *widget, GdkEventKey *key, gpointer data
);

extern gint WinSrcListEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void WinSrcListResizeColumnCB(
	GtkCList *clist, gint column, gint width, gpointer data
);
extern void WinSrcListClickColumnCB(
	GtkCList *clist, gint column, gpointer data 
);
extern void WinSrcListSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);
extern void WinSrcListUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data                                           
);

extern gint WinTarListEventCB(
	GtkWidget *widget, GdkEvent *event, gpointer data
);
extern void WinTarListResizeColumnCB(
	GtkCList *clist, gint column, gint width, gpointer data
);
extern void WinTarListClickColumnCB(
	GtkCList *clist, gint column, gpointer data
);
extern void WinTarListSelectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data                                           
);
extern void WinTarListUnselectRowCB(
	GtkCList *clist, gint row, gint column, GdkEvent *event,
	gpointer data
);

extern void WinAnyChangedCB(GtkWidget *widget, gpointer data);

extern void WinEntryClearCB(GtkWidget *widget, gpointer data);


#endif	/* WINCB_H */
